Debian Bug report logs - #623377
init: don't start in runlevel S *and* 2345

version graph

Packages: portmap, nfs-common, rpcbind; Maintainer for portmap is Anibal Monsalve Salazar <anibal@debian.org>; Maintainer for nfs-common is Debian kernel team <debian-kernel@lists.debian.org>; Source for nfs-common is src:nfs-utils. Maintainer for rpcbind is Anibal Monsalve Salazar <anibal@debian.org>; Source for rpcbind is src:rpcbind.

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 19 Apr 2011 18:45:01 UTC

Severity: important

Tags: patch

Fixed in version rpcbind/0.2.0-8.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Tue, 19 Apr 2011 18:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 19 Apr 2011 18:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: init: don't start in runlevel S *and* 2345
Date: Tue, 19 Apr 2011 20:40:47 +0200
[Message part 1 (text/plain, inline)]
Package: nfs-common, portmap, rpcbind
Severity: important


Hi,

the initscripts of nfs-common, pormap and rpcbind all have the following in
their LSB header:

# Default-Start:     S 2 3 4 5
# Default-Stop:      0 1 6


As a result, the init scripts are run *twice* when you boot your system.
More importantly though, this breaks systemd horribly, as this leads to a
depedency loop there.

nfs-common, portmap and rpcbind are the only packages using such a strange setup
in Default-Start.

I can't really tell, if those packages are supposed to be started during early
boot (rcS) and be running in single-user mode or starting them in multi-user is
sufficient.

In the former case, I'd suggest using:

# Default-Start:     S
# Default-Stop:      0 6 (I guess all three have running daemons which need to
be killed on shutdown/reboot)


in the latter:

# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6


Regards,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added indication that bug 623377 blocks 622881 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 19 Apr 2011 18:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Tue, 19 Apr 2011 20:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 19 Apr 2011 20:12:02 GMT) Full text and rfc822 format available.

Message #12 received at 623377@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Michael Biebl <biebl@debian.org>, 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Tue, 19 Apr 2011 22:08:48 +0200
On 04/19/2011 08:40 PM, Michael Biebl wrote:

> Hi,

Hi

> the initscripts of nfs-common, pormap and rpcbind all have the following in
> their LSB header:
> 
> # Default-Start:     S 2 3 4 5
> # Default-Stop:      0 1 6

Indeed.

> As a result, the init scripts are run *twice* when you boot your system.

True.

> More importantly though, this breaks systemd horribly, as this leads to a
> depedency loop there.

That's a clear design flow in systemd.

> nfs-common, portmap and rpcbind are the only packages using such a strange setup
> in Default-Start.
> 
> I can't really tell, if those packages are supposed to be started during early
> boot (rcS) and be running in single-user mode or starting them in multi-user is
> sufficient.

AFAICT it's kind of a workaround for the broken networking script that
succeeds before devices are really available.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Tue, 19 Apr 2011 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 19 Apr 2011 20:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 623377@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Luk Claes <luk@debian.org>
Cc: 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Tue, 19 Apr 2011 22:27:33 +0200
[Message part 1 (text/plain, inline)]
Hi Luk

Am 19.04.2011 22:08, schrieb Luk Claes:
> On 04/19/2011 08:40 PM, Michael Biebl wrote:

>> nfs-common, portmap and rpcbind are the only packages using such a strange setup
>> in Default-Start.
>>
>> I can't really tell, if those packages are supposed to be started during early
>> boot (rcS) and be running in single-user mode or starting them in multi-user is
>> sufficient.
> 
> AFAICT it's kind of a workaround for the broken networking script that
> succeeds before devices are really available.

Could you elaborate on this? How is starting those services in both rcS and rcN
supposed to fix such an issue. This sounds like a broken workaround papering
over some more fundamental problem in those packages resp. the networking script
and the way nfs mounts are handled.

Do you have any bug numbers with details?

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Thu, 21 Apr 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 21 Apr 2011 04:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 623377@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Michael Biebl <biebl@debian.org>, 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Thu, 21 Apr 2011 05:07:10 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2011-04-19 at 20:40 +0200, Michael Biebl wrote:
> Package: nfs-common, portmap, rpcbind
> Severity: important
> 
> 
> Hi,
> 
> the initscripts of nfs-common, pormap and rpcbind all have the following in
> their LSB header:
> 
> # Default-Start:     S 2 3 4 5
> # Default-Stop:      0 1 6
> 
> 
> As a result, the init scripts are run *twice* when you boot your system.
> More importantly though, this breaks systemd horribly, as this leads to a
> depedency loop there.

Then perhaps the conversion of runlevels into dependencies is wrong?

> nfs-common, portmap and rpcbind are the only packages using such a strange setup
> in Default-Start.
> 
> I can't really tell, if those packages are supposed to be started during early
> boot (rcS) and be running in single-user mode or starting them in multi-user is
> sufficient.
[...]

All filesystems listed in /etc/fstab should be mounted even in single-
user mode.  If any of those are mounted over NFS, rpc.statd and portmap
or rpcbind must be started.

Additional daemons may be required for multi-user access; those are
installed in /usr.  And so it may be necessary to run nfs-common a
second time, when those daemons are available.

*However*, all of these daemons (except the obsolete portmap) are now
linked to libtirpc, which is currently installed in /usr.  So this
doesn't work right now.

I suppose we should split the init script, assuming that people stuck in
the 90s continue to insist that separate /usr must be supported.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Thu, 21 Apr 2011 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 21 Apr 2011 08:54:03 GMT) Full text and rfc822 format available.

Message #27 received at 623377@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Ben Hutchings <ben@decadent.org.uk>, 623377@bugs.debian.org
Cc: Michael Biebl <biebl@debian.org>
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Thu, 21 Apr 2011 10:35:01 +0200
Hello Ben,

> I suppose we should split the init script, assuming that people stuck in
> the 90s continue to insist that separate /usr must be supported.
Then maybe someone should start to make the installer more modern as it
still supports a separate /usr in one of the automatic partitioning
items.

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Thu, 21 Apr 2011 08:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 21 Apr 2011 08:54:05 GMT) Full text and rfc822 format available.

Message #32 received at 623377@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Cc: Ben Hutchings <ben@decadent.org.uk>, 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Thu, 21 Apr 2011 10:52:14 +0200
[Message part 1 (text/plain, inline)]
Am 21.04.2011 10:35, schrieb Uwe Kleine-König:
> Hello Ben,
> 
>> I suppose we should split the init script, assuming that people stuck in
>> the 90s continue to insist that separate /usr must be supported.
> Then maybe someone should start to make the installer more modern as it
> still supports a separate /usr in one of the automatic partitioning
> items.

Yeah, we should change that. I'll file a bug for this.




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Fri, 25 Nov 2011 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 25 Nov 2011 18:24:05 GMT) Full text and rfc822 format available.

Message #37 received at 623377@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Fri, 25 Nov 2011 19:22:17 +0100
Note: libtirpc.so.1 is now in /lib/$(DEB_HOST_MULTIARCH)/ so the demaons
can start before /usr is mounted.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Fri, 25 Nov 2011 18:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 25 Nov 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #42 received at 623377@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: Goswin von Brederlow <goswin-v-b@web.de>, 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Fri, 25 Nov 2011 19:35:21 +0100
On 11/25/2011 07:22 PM, Goswin von Brederlow wrote:
> Note: libtirpc.so.1 is now in /lib/$(DEB_HOST_MULTIARCH)/ so the demaons
> can start before /usr is mounted.

Sure like now, though not everything is available at that time:
kerberised access or NFSv4 idmapping for instance. So it still needs to
rerun after /usr is available.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Fri, 25 Nov 2011 19:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 25 Nov 2011 19:39:09 GMT) Full text and rfc822 format available.

Message #47 received at 623377@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Luk Claes <luk@debian.org>, 623377@bugs.debian.org
Cc: Goswin von Brederlow <goswin-v-b@web.de>
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Fri, 25 Nov 2011 19:38:27 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2011-11-25 at 19:35 +0100, Luk Claes wrote:
> On 11/25/2011 07:22 PM, Goswin von Brederlow wrote:
> > Note: libtirpc.so.1 is now in /lib/$(DEB_HOST_MULTIARCH)/ so the demaons
> > can start before /usr is mounted.
> 
> Sure like now, though not everything is available at that time:
> kerberised access or NFSv4 idmapping for instance. So it still needs to
> rerun after /usr is available.

I think that means we need two init scripts.

Ben.

-- 
Ben Hutchings
Teamwork is essential - it allows you to blame someone else.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Sat, 26 Nov 2011 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <goswin-v-b@web.de>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 26 Nov 2011 04:15:03 GMT) Full text and rfc822 format available.

Message #52 received at 623377@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <goswin-v-b@web.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Luk Claes <luk@debian.org>, 623377@bugs.debian.org, Goswin von Brederlow <goswin-v-b@web.de>
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Sat, 26 Nov 2011 05:11:59 +0100
Ben Hutchings <ben@decadent.org.uk> writes:

> On Fri, 2011-11-25 at 19:35 +0100, Luk Claes wrote:
>> On 11/25/2011 07:22 PM, Goswin von Brederlow wrote:
>> > Note: libtirpc.so.1 is now in /lib/$(DEB_HOST_MULTIARCH)/ so the demaons
>> > can start before /usr is mounted.
>> 
>> Sure like now, though not everything is available at that time:
>> kerberised access or NFSv4 idmapping for instance. So it still needs to
>> rerun after /usr is available.
>
> I think that means we need two init scripts.
>
> Ben.

At least idmapd should be in / so one can have /usr on NFS4. The same
could be said for kerberos but that is probably far less used. What's
the point in restricting access to /usr?

But if some daemon stays in /usr then there should be seperate scripts
to start the stuff on / in rcS.d and the stuff in /usr in rc2.d.

Note that ubuntu has seperate upstart scripts for portmap, statd and
idmapd already. Maybe it makes sense to split them by daemon for sys-rc
too.

MfG
        Goswin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Thu, 08 Mar 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Thu, 08 Mar 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #57 received at 623377@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 623377@bugs.debian.org
Subject: Re: Bug#623377: init: don't start in runlevel S *and* 2345
Date: Thu, 08 Mar 2012 17:16:14 +0100
[Message part 1 (text/plain, inline)]
On 21.04.2011 06:07, Ben Hutchings wrote:
> On Tue, 2011-04-19 at 20:40 +0200, Michael Biebl wrote:

> [...]
> 
> All filesystems listed in /etc/fstab should be mounted even in single-
> user mode.  If any of those are mounted over NFS, rpc.statd and portmap
> or rpcbind must be started.
> 
> Additional daemons may be required for multi-user access; those are
> installed in /usr.  And so it may be necessary to run nfs-common a
> second time, when those daemons are available.
> 

..

> 
> I suppose we should split the init script, assuming that people stuck in
> the 90s continue to insist that separate /usr must be supported.

Reading all this, it sounds like splitting the init script into
different parts is the cleanest solution and the way to go.

The question now is, which bits need to go where. Can someone with more
insight into the internals of nfs-common/rpcbind/... give a more
detailed overview?

Michael





-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Fri, 25 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to nick black <nick.black@sprezzatech.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Fri, 25 Jan 2013 20:27:03 GMT) Full text and rfc822 format available.


Message #62 received at 623377@bugs.debian.org (full text, mbox):

From: nick black <nick.black@sprezzatech.com>
To: 623377@bugs.debian.org
Date: Fri, 25 Jan 2013 15:16:32 -0500
Hello all,

I started working on the necessary refactoring a bit ago as part of sprezzos
bug 601 [0], but find myself wondering -- would it not be a lot simpler to
just haul the necessary infrastructure up into the root partition? What
prevents portmap, rpc.identd, etc from being moved into /sbin and only
running the initscript in S/06?

I ask because there's not much the early script can currently do with what's
available in /bin and /sbin. If it's not necessary that the early script
restrict itself to the root partition, and I'm misunderstanding things, I
apologize.

Thanks!

--nick

[0] https://www.sprezzatech.com/bugs/show_bug.cgi?id=601



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Fri, 25 Jan 2013 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Fri, 25 Jan 2013 22:12:03 GMT) Full text and rfc822 format available.

Message #67 received at 623377@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: nick black <nick.black@sprezzatech.com>, 623377@bugs.debian.org
Subject: Re: Bug#623377: (no subject)
Date: Fri, 25 Jan 2013 22:08:57 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2013-01-25 at 15:16 -0500, nick black wrote:
> Hello all,
> 
> I started working on the necessary refactoring a bit ago as part of sprezzos
> bug 601 [0], but find myself wondering -- would it not be a lot simpler to
> just haul the necessary infrastructure up into the root partition? What
> prevents portmap, rpc.identd, etc from being moved into /sbin and only
> running the initscript in S/06?
> 
> I ask because there's not much the early script can currently do with what's
> available in /bin and /sbin. If it's not necessary that the early script
> restrict itself to the root partition, and I'm misunderstanding things, I
> apologize.
> 
> Thanks!

Following the wheezy release we will start mounting /usr from the
initramfs and all init scripts will be able to assume /usr is already
mounted.

(NFS-mounted /usr with local / will probably not be supported.)

Ben.

-- 
Ben Hutchings
Q.  Which is the greater problem in the world today, ignorance or apathy?
A.  I don't know and I couldn't care less.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Sat, 26 Jan 2013 00:57:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to nick black <nick.black@sprezzatech.com>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 26 Jan 2013 00:57:17 GMT) Full text and rfc822 format available.

Message #72 received at 623377@bugs.debian.org (full text, mbox):

From: nick black <nick.black@sprezzatech.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 623377@bugs.debian.org
Subject: Re: Bug#623377: (no subject)
Date: Fri, 25 Jan 2013 19:50:53 -0500
Ben Hutchings left as an exercise for the reader:
> Following the wheezy release we will start mounting /usr from the
> initramfs and all init scripts will be able to assume /usr is already
> mounted.
> 
> (NFS-mounted /usr with local / will probably not be supported.)

ahhh, and at that point this script can just run at S/06 as originally
recommended, and thus once during startup, correct?

if so, i'm likely going to make the initramfs /usr change in SprezzOS, and
this change to the nfs scripts. i can submit the patches here if you'd like,
though i'm not sure what other details of the /usr change have already been
worked out and need be adhered to...

-- 
nick black     http://www.sprezzatech.com -- unix and hpc consulting
to make an apple pie from scratch, you need first invent a universe.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Sat, 26 Jan 2013 04:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Sat, 26 Jan 2013 04:12:03 GMT) Full text and rfc822 format available.

Message #77 received at 623377@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: nick black <nick.black@sprezzatech.com>
Cc: 623377@bugs.debian.org
Subject: Re: Bug#623377: (no subject)
Date: Sat, 26 Jan 2013 04:08:58 +0000
[Message part 1 (text/plain, inline)]
On Fri, 2013-01-25 at 19:50 -0500, nick black wrote:
> Ben Hutchings left as an exercise for the reader:
> > Following the wheezy release we will start mounting /usr from the
> > initramfs and all init scripts will be able to assume /usr is already
> > mounted.
> > 
> > (NFS-mounted /usr with local / will probably not be supported.)
> 
> ahhh, and at that point this script can just run at S/06 as originally
> recommended, and thus once during startup, correct?

I think so, yes.

> if so, i'm likely going to make the initramfs /usr change in SprezzOS, and
> this change to the nfs scripts. i can submit the patches here if you'd like,
> though i'm not sure what other details of the /usr change have already been
> worked out and need be adhered to...

Thanks, that may be helpful to the respective maintainers.

Ben.

-- 
Ben Hutchings
Any smoothly functioning technology is indistinguishable from a rigged demo.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Mon, 12 Aug 2013 23:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Mon, 12 Aug 2013 23:18:04 GMT) Full text and rfc822 format available.

Message #82 received at 623377@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 719357@bugs.debian.org, 623377@bugs.debian.org
Subject: Re: rpcbind: Please include upstart support in the rpcbind package
Date: Tue, 13 Aug 2013 01:15:31 +0200
[Message part 1 (text/plain, inline)]
tags 719357 patch
tags 623377 patch
thanks

With Luk's approval, I've prepared an NMU to address these two bugs in
rpcbind.  Please find the NMU diff attached.

This NMU will be uploaded to unstable shortly.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[rpcbind-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Mon, 12 Aug 2013 23:18:10 GMT) Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. (Mon, 12 Aug 2013 23:36:05 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Mon, 12 Aug 2013 23:36:05 GMT) Full text and rfc822 format available.

Message #89 received at 623377-close@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 623377-close@bugs.debian.org
Subject: Bug#623377: fixed in rpcbind 0.2.0-8.1
Date: Mon, 12 Aug 2013 23:33:24 +0000
Source: rpcbind
Source-Version: 0.2.0-8.1

We believe that the bug you reported is fixed in the latest version of
rpcbind, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve Langasek <vorlon@debian.org> (supplier of updated rpcbind package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 12 Aug 2013 18:11:48 +0200
Source: rpcbind
Binary: rpcbind
Architecture: source i386
Version: 0.2.0-8.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Steve Langasek <vorlon@debian.org>
Description: 
 rpcbind    - converts RPC program numbers into universal addresses
Closes: 623377 719357
Changes: 
 rpcbind (0.2.0-8.1) unstable; urgency=low
 .
    * Non-maintainer upload, approved by Luk Claes.
    * Convert rpcbind to Upstart.  Closes: #719357.
    * Fix to look directly in /run instead of via the /var/run symlink.
    * Adjust init script to start rpcbind only in rcS, not to try to start it
      again in runlevels [2345]: the service should always start reliably in
      rcS, with no reason to ever restart it later.  In practice, insserv
      already ignores the request to run the script twice (considering it
      "done" already after leaving runlevel S), so this is merely correcting
      the documentation of the current behavior.  Closes: #623377.
Checksums-Sha1: 
 cccd8ebc3abcec44cc9151b948228387af62dade 1828 rpcbind_0.2.0-8.1.dsc
 a4391ad5987bde765eec79c1329c08ad349a5af3 8827 rpcbind_0.2.0-8.1.debian.tar.bz2
 2def4e1c726aadc57b8273b2f32ca18622ec282e 38780 rpcbind_0.2.0-8.1_i386.deb
Checksums-Sha256: 
 556919734c8eaa94a83d275952629281b50bf3f362193840c971de11517d2cf1 1828 rpcbind_0.2.0-8.1.dsc
 587c0d52b97ebe02e5f720c8d549ad0b39f7ea4fb549e114dc247150a683e850 8827 rpcbind_0.2.0-8.1.debian.tar.bz2
 6d18f929332a2b8d5bfa70e42e7643f9952c5036fb8e7dc9e6269cdbec7c5abc 38780 rpcbind_0.2.0-8.1_i386.deb
Files: 
 75a1d2df3dce8734842631045d6468f0 1828 net standard rpcbind_0.2.0-8.1.dsc
 9e59440f2df05b6e979466e442ebd02d 8827 net standard rpcbind_0.2.0-8.1.debian.tar.bz2
 c35cf5e51358c726b2009856df0709c3 38780 net standard rpcbind_0.2.0-8.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSCWyqAAoJEFaNMPMhshM9SjAP/RW9E+Sspq/u3zxeY+ctaAA2
1+JtbuPknX97djLEr6pPzeKRuDa5gBbogPZqUoJ+mTtRog7HFXvwV3QloLFqq/7B
rCjEIqqebrfYBr2njmofj40/rRTmBdiYtVGlk+MqCs3R7gFK5hVruD9B1XNstQfO
RWoANJIwdNe/TNrx46ve5dH47aL2MFOT7A4aIjw2kv+wvhMw4cXeHDYltuyozjTm
HaLHYnQ88GV9gWAccmri2q7uXS/Jh+nivwCRi+oDfb1BX2dNdYnULE+/bXdhyLzb
+gwsSJizHLU/bUUTu+FZBBHB/YdAHe/A7bZ9NSTVCDjalZ98TRq3dflpZXNygyUi
UTrIjPBF30QQ/FcNk+4r6cTKhogp13haR1MBiQUPX3lcULqXFUkEXUJ+MIZTUdKs
fs/ELvTu9nHnz/ymSOEsGL7S0dBTKDZRGx/zOs65WRdCVC1Qd02fH/p7k9WswLMd
C/YC7HHXoK+AGew42JgKSRboj3u7VA3PrK/y/3iElX2Oy02mbwBQAKu8GJxHnMKt
3HyoXFpCvucCLqP6Y/ov86DfLNT/iw7gGRL9v18WLWB/xXks0RGJmiwExTEWmt3i
/AdLl32+yVohnTD28vLtnGXQMi7MIHJd6iMG6suAkeymFsbOsSksBXXBJmfNNODq
yM+pc6higPdIbQPat3zn
=gPRH
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Tue, 13 Aug 2013 07:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 13 Aug 2013 07:00:05 GMT) Full text and rfc822 format available.

Message #94 received at 623377@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Steve Langasek <vorlon@debian.org>, 623377@bugs.debian.org
Cc: 719357@bugs.debian.org
Subject: Re: Bug#623377: rpcbind: Please include upstart support in the rpcbind package
Date: Tue, 13 Aug 2013 08:56:54 +0200
On Tue, Aug 13, 2013 at 01:15:31AM +0200, Steve Langasek wrote:
> +   * Fix to look directly in /run instead of via the /var/run symlink.

Where is the bug report for this?

>  case "$1" in
>      start)
> +        if init_is_upstart; then
> +            exit 1
> +        fi

Where is this documented and why does it need to be done in every case?

> --- a/debian/postinst	2011-12-10 11:36:35 +0000
> +++ b/debian/postinst	2013-08-12 22:46:00 +0000
> @@ -10,6 +10,9 @@
>  			ln -s /run/rpcbind.pid /run/sendsigs.omit.d/rpcbind
>  		fi
>  	fi
> +	if dpkg --compare-versions "$2" lt "0.2.0-8.1"; then
> +		update-rc.d -f rpcbind remove
> +	fi

How does this not trash local modifications?

Bastian

-- 
In the strict scientific sense we all feed on death -- even vegetarians.
		-- Spock, "Wolf in the Fold", stardate 3615.4



Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Tue, 13 Aug 2013 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 13 Aug 2013 10:27:04 GMT) Full text and rfc822 format available.

Message #99 received at 623377@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 623377@bugs.debian.org, 719357@bugs.debian.org
Subject: Re: Bug#623377: rpcbind: Please include upstart support in the rpcbind package
Date: Tue, 13 Aug 2013 12:25:34 +0200
[Message part 1 (text/plain, inline)]
Hey Bastian,

On Tue, Aug 13, 2013 at 08:56:54AM +0200, Bastian Blank wrote:
> On Tue, Aug 13, 2013 at 01:15:31AM +0200, Steve Langasek wrote:
> > +   * Fix to look directly in /run instead of via the /var/run symlink.

> Where is the bug report for this?

This is mentioned in bug #719357.

> >  case "$1" in
> >      start)
> > +        if init_is_upstart; then
> > +            exit 1
> > +        fi

> Where is this documented and why does it need to be done in every case?

Documented generally in Debian policy 9.11.1.  This *could* be implemented
by exiting non-zero in all cases, but it's nicer from a policy perspective
to return 0 when asking to stop a service that is not managed by upstart
(because from the init script's perspective, it is "not running").

> > --- a/debian/postinst	2011-12-10 11:36:35 +0000
> > +++ b/debian/postinst	2013-08-12 22:46:00 +0000
> > @@ -10,6 +10,9 @@
> >  			ln -s /run/rpcbind.pid /run/sendsigs.omit.d/rpcbind
> >  		fi
> >  	fi
> > +	if dpkg --compare-versions "$2" lt "0.2.0-8.1"; then
> > +		update-rc.d -f rpcbind remove
> > +	fi

> How does this not trash local modifications?

sysv-rc in jessie does not support non-dependency-based boot, so there are
no local modifications to the links that need to be (or can be) supported
anyway.  Are you concerned about the file-rc case?

I'm not attached to this bit, but I discussed it with Luk and he said he
would prefer the stale links be cleaned up.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#623377; Package nfs-common, portmap, rpcbind. (Wed, 14 Aug 2013 04:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 14 Aug 2013 04:30:05 GMT) Full text and rfc822 format available.

Message #104 received at 623377@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: cosimo morelli <lordofenuplas@gmail.com>, Bastian Blank <waldi@debian.org>, 719357@bugs.debian.org, 623377@bugs.debian.org, 680950@bugs.debian.org, 719661@bugs.debian.org
Subject: Re: Bug#719357: Bug#623377: rpcbind: Please include upstart support in the rpcbind package
Date: Wed, 14 Aug 2013 14:27:17 +1000
[Message part 1 (text/plain, inline)]
On Tue, Aug 13, 2013 at 08:56:54AM +0200, Bastian Blank wrote:
> On Tue, Aug 13, 2013 at 01:15:31AM +0200, Steve Langasek wrote:
>> +   * Fix to look directly in /run instead of via the /var/run symlink.
> 
> Where is the bug report for this?
> 
>>  case "$1" in
>>      start)
>> +        if init_is_upstart; then
>> +            exit 1
>> +        fi
> 
> Where is this documented and why does it need to be done in every case?
> 
>> --- a/debian/postinst	2011-12-10 11:36:35 +0000
>> +++ b/debian/postinst	2013-08-12 22:46:00 +0000
>> @@ -10,6 +10,9 @@
>>  			ln -s /run/rpcbind.pid /run/sendsigs.omit.d/rpcbind
>>  		fi
>>  	fi
>> +	if dpkg --compare-versions "$2" lt "0.2.0-8.1"; then
>> +		update-rc.d -f rpcbind remove
>> +	fi
> 
> How does this not trash local modifications?
> 
> Bastian

Cosimo posted a message to #680950 and opened #719661 as a consequence
of 0.2.0-8.1

http://bugs.debian.org/680950
http://bugs.debian.org/719661
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Sep 2013 07:35:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:52:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.